"""
Define some directories.

.. codeauthor:: Laurent Mertens <laurent.mertens@kuleuven.be>
"""
import os


class Config:
    #: Users system home dir
    ROOT_DIR = os.path.expanduser('/')
    HOME_DIR = os.path.expanduser('~')

    #: Paths referring to (parts of the) ImageNet-1k dataset
    DIR_IMGNET = os.path.join(ROOT_DIR, 'mnt', 'DataMorry', 'ImageNet')
    # DIR_IMGNET = os.path.join(HOME_DIR, 'Work', 'Projects', 'NeuroANN', 'Data', 'PublicDatasets', 'ImageNet')
    DIR_ILSVRC = os.path.join(DIR_IMGNET, 'ILSVRC')
    DIR_IMGNET_TRAIN = os.path.join(DIR_ILSVRC, 'Data', 'CLS-LOC', 'train')
    DIR_IMGNET_VAL = os.path.join(DIR_ILSVRC, 'Data', 'CLS-LOC', 'val')
    DIR_IMGNET_TEST = os.path.join(DIR_ILSVRC, 'Data', 'CLS-LOC', 'test')
    # Paths to specific files relating to ImageNet-1k
    FILE_IMGNET_CLASSES = os.path.join(DIR_IMGNET, 'imagenet_class_index.json')
    FILE_IMGNET_VAL_SOL = os.path.join(DIR_IMGNET, 'LOC_val_solution.csv')

    #: Path to Places365 validation data in 256x256 format
    DIR_PRETRAINED_MODELS = os.path.join(HOME_DIR, 'Work', 'Projects', 'NeuroANN', 'Data', 'PreTrainedModels')

    #: Path to Places365 validation data in 256x256 format
    DIR_IMGS_365 = os.path.join(HOME_DIR, 'Work', 'Projects', 'NeuroANN', 'Data', 'PublicDatasets', 'Places365', 'val_256')

    #: Path where the CSV files generated by the scripts in the "experiments" package will be stored
    DIR_LOGS = os.path.join(HOME_DIR, 'Work', 'Projects', 'NeuroANN', 'Data', 'ExpLogs', 'ColorAnalysis')
